{% extends "base.html" %}
{% load i18n %}
{% block title %}{% translate "location types"|capfirst %}{% endblock %}
{% block content %}
  <div class="row mt-2">
    <div class="col-12">
      <h1>{% translate "location types"|capfirst %}</h1>
    </div>
  </div>
  <div class="row">
    <div class="col text-end">
      {% if perms.locations.add_locationtype %}
        <a href="{% url 'locations:add-type' %}" class="btn btn-outline-primary ">{% translate "add"|capfirst %}</a>
      {%  endif %}
    </div>
  </div>
  <div class="row">
    <div class="col">
      <table class="table table-hover">
        <thead>
          <tr>
            <th>{% translate 'name'|capfirst %}</th>
            <th>{% translate 'description'|capfirst %}</th>
            <th></th>
          </tr>
        </thead>
        <tbody>
          {% for type in object_list %}
          <tr onclick="window.location='{{ type.get_absolute_url }}'">
            <td>{{ type.name }}</td>
            <td>{{ type.description }}</td>
            <td>
              <div class="d-flex justify-content-end">
                {% if perms.locations.change_locationtype %}
                  <a href="{% url 'locations:change-type' type.id %}" class="btn-sm btn-outline-primary mx-1"><i class="bi bi-pencil"></i></a>
                {%  endif %}
                {% if perms.locations.delete_locationtype %}
                  <a href="{% url 'locations:delete-type' type.id %}" class="btn-sm btn-outline-danger mx-1"><i class="bi bi-trash"></i></a>
                {%  endif %}
              </div>
            </td>

          </tr>
          {% empty %}
          <tr>
            <td colspan="3">{% translate "there are currently no location types"|capfirst %}</td>
          </tr>
          {% endfor %}
        </tbody>
      </table>
    </div>
  </div>
{% endblock %}
